/{organizationId}/{mandateId}/booking/events/{eventId}/bookings/listList bookings
Returns a list of bookings for a specific event for a given mandate
Required permissions:
mandate.read
event.read
booking.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired eventIdstringrequired Request Body required
Content-Type: application/json
limitintegeroptional Default: 50
minimum: 0
maximum: 100
offsetintegeroptional Default: 0
minimum: 0
maximum: 9007199254740991
returnCountbooleanoptional Default: false
typestringoptional Options:
eventresourcecontactIdstringoptional searchTermstringoptional A stringified json object representing a property filter
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/events/{eventId}/bookings/list' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"sort": {},
"limit": 50,
"offset": 0
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
countintegerrequired minimum: 0
maximum: 9007199254740991
Response
{
"count": 0,
"bookings": [
{
"_id": "000000000000000000000001",
"mandate": "000000000000000000000001",
"type": "event",
"bookingNumber": "string",
"buyer": {
"type": "business",
"name": "string",
"nameNormalized": "string",
"nameSort": "string",
"email": "",
"phone": "",
"address": {
"country": "string",
"state": "string",
"zip": "string"
},
"userId": "string",
"contact": "000000000000000000000001",
"payment": {
"paymentMethod": "sepaCreditTransfer",
"sepaDirectDebit": {
"iban": "string",
"bic": "string"
},
"online": {
"paymentIntent": "000000000000000000000001",
"provider": null
}
}
},
"receipts": [
{
"receipt": "000000000000000000000001",
"receiptNumber": "string",
"paymentStatus": "unpaid",
"paymentTerms": "string",
"paymentDueDate": null,
"paymentTotalAmountLeftToPay": null,
"canceledAt": null
}
],
"formResult": {
"schema": [
{
"id": "string",
"label": "string",
"fields": [
{
"id": "string",
"type": "placeholder"
}
]
}
],
"data": {}
},
"totalPrice": 0,
"totalPoints": 0,
"usedPunchCardNumbers": [
"string"
],
"discountCode": "string",
"status": "confirmed",
"paymentStatus": "unpaid",
"cancelations": [
{
"recordNumber": "string",
"canceledAt": "2026-06-15T22:30:00Z",
"reason": "string",
"priceRefund": 0,
"pointsRefund": 0
}
],
"records": 1
}
]
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}